import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import VmagentLogoLight from './VmagentLogoLight';
import VmagentLogoDark from './VmagentLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const VmagentLogoSvg = forwardRef(function VmagentLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(VmagentLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(VmagentLogoLight, Object.assign({}, props, { ref: ref })));
});
export default VmagentLogoSvg;
